org.eclipse.ease.lang.unittest.definition

## Interface IDefinitionFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DefinitionFactory

    public interface IDefinitionFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `IDefinitionPackage`

### Field Summary

Fields
`static IDefinitionFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`ICode` `createCode()` Returns a new object of class 'Code'.
`ITestSuiteDefinition` `createTestSuiteDefinition()` Returns a new object of class 'Test Suite Definition'.
`IVariable` `createVariable()` Returns a new object of class 'Variable'.
`IDefinitionPackage` `getDefinitionPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final IDefinitionFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createTestSuiteDefinition

    ITestSuiteDefinition createTestSuiteDefinition()

Returns a new object of class 'Test Suite Definition'.

Returns:
  a new object of class 'Test Suite Definition'.

#### createVariable

    IVariable createVariable()

Returns a new object of class 'Variable'.

Returns:
  a new object of class 'Variable'.

#### createCode

    ICode createCode()

Returns a new object of class 'Code'.

Returns:
  a new object of class 'Code'.

#### getDefinitionPackage

    IDefinitionPackage getDefinitionPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.